Bug 1265910 - ipa-replica-manage del: Failed to cleanup DNS records if matching DNS zone is a forward zone
ipa-replica-manage del: Failed to cleanup DNS records if matching DNS zone is...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: IPA Maintainers
Namita Soman
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 03:09 EDT by Sudhir Menon
Modified: 2017-04-06 13:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sudhir Menon 2015-09-24 03:09:11 EDT
Description of problem: when ipa-replica-manage delete command is used, the cleanup is not done.


Version-Release number of selected component (if applicable): 


How reproducible: Always


Steps to Reproduce:
1. Ensure winsync replication agreement is setup without any errors.
2. Now remove the agreement.

Actual results: The winsync agreement is removed, but there is a message displayed on the console.

[root@ipa01 ~]# ipa-replica-manage del win01.test.in
Skipping calculation to determine if one or more masters would be orphaned.
Deleting replication agreements between win01.test.in and ipa01.labs01.test
Forcing removal on 'ipa01.labs01.test'
Any DNA range on 'win01.test.in' will be lost
Deleted replication agreement from 'ipa01.labs01.test' to 'win01.test.in'
Failed to cleanup win01.test.in DNS entries: invalid 'dnszoneidnsname': Gettext(u'only master zones can contain records', domain='ipa', localedir=None)
You may need to manually remove them from the tree

Expected results: 'Failed to cleanup' message should be fixed.
If possible should remove the command should remove the records as well without user manually doing it.


Additional info:
Comment 3 Petr Vobornik 2015-10-19 16:53:45 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5384
Comment 4 Petr Vobornik 2016-06-02 08:05:05 EDT
Happens only if we have DNS forward zone set up which matches the AD zone. DNS cleanup is last step of winsync del, it doesn't have functional impact.
Comment 5 Petr Vobornik 2016-08-03 09:22:33 EDT
Fix for this did not make 4.4 upstream release, postponing to later release.

Note You need to log in before you can comment on or make changes to this bug.